Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 May 2024 17:58:01 +0300

> Date: Wed, 22 May 2024 14:28:20 +0000 (UTC)
> From: Hannes Domani <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, 
> 	"[email-masked]" <[email-masked]>
> 
> > OK, then Hannes should look into it.  My guess is that GDB doesn't
> > realize that CP65001 is just a funny name for UTF-8...
> 
> I would, but I can't even figure out how to set CP65001:
> 
> (gdb) set charset CP65001
> Undefined item: "CP65001".
> 
> Or do I need a different setting?

I think it's a Windows setting.  It's an experimental feature which
you can activate from Settings.  This page explains how:

  https://exploratory.io/note/exploratory/Enabling-UTF-8-on-Windows-hYc3yWL0